########################################################################
#                                                                      #
#                         日志管理配置文件                             #
#                                                                      #
########################################################################


#设置Logger
log4j.logger.system=DEBUG, systemApp,A1
log4j.logger.business=DEBUG, businessApp,A1
log4j.logger.loginInfo=DEBUG, loginApp,A1

#设置 console ,调试用
log4j.appender.A1=org.apache.log4j.ConsoleAppender
log4j.appender.A1.layout=org.apache.log4j.PatternLayout
log4j.appender.A1.layout.ConversionPattern=%d [%t] %-5p %c - %m%n

#设置testApp, 用以记录必要的测试日志信息d
log4j.appender.testApp=org.apache.log4j.RollingFileAppender
log4j.appender.testApp.File=c:/log/cartrain/test.log
log4j.appender.testApp.MaxFileSize=5120KB
log4j.appender.testApp.MaxBackupIndex=100
log4j.appender.testApp.layout=org.apache.log4j.PatternLayout
log4j.appender.testApp.layout.ConversionPattern= %d [%c:%L] [%t] - %m%n

#设置systemApp, 记录系统日志信息
log4j.appender.systemApp=org.apache.log4j.RollingFileAppender
log4j.appender.systemApp.File=c:/log/cartrain/system.log
log4j.appender.systemApp.MaxFileSize=5120KB
log4j.appender.systemApp.MaxBackupIndex=100
log4j.appender.systemApp.layout=org.apache.log4j.PatternLayout
log4j.appender.systemApp.layout.ConversionPattern= %d [%c:%L] [%t] - %m%n

#设置businessApp, 记录业务日信息
log4j.appender.businessApp=org.apache.log4j.RollingFileAppender
log4j.appender.businessApp.File=c:/log/cartrain/businessApp.log
log4j.appender.businessApp.MaxFileSize=5120KB
log4j.appender.businessApp.MaxBackupIndex=100
log4j.appender.businessApp.layout=org.apache.log4j.PatternLayout
log4j.appender.businessApp.layout.ConversionPattern=%d - %m%n

#设置loginApp, 用以记录必要的测试日志信息
log4j.appender.loginApp=org.apache.log4j.RollingFileAppender
log4j.appender.loginApp.File=c:/log/cartrain/login.log
log4j.appender.loginApp.MaxFileSize=5120KB
log4j.appender.loginApp.MaxBackupIndex=100
log4j.appender.loginApp.layout=org.apache.log4j.PatternLayout
log4j.appender.loginApp.layout.ConversionPattern= %d [%c:%L] [%t] - %m%n



